org.jgroups

## Class ChannelListenerAdapter

- java.lang.Object
- - org.jgroups.ChannelListenerAdapter

All Implemented Interfaces:
  ChannelListener

Direct Known Subclasses:
  PullPushAdapter

    public class ChannelListenerAdapter
    extends java.lang.Object
    implements ChannelListener

Class which implements `ChannelListener`

Author:
  Bela Ban

### Constructor Summary

Constructors
Constructor and Description
`ChannelListenerAdapter()`

### Method Summary

Methods
`void` `channelClosed(Channel channel)`
`void` `channelConnected(Channel channel)`
`void` `channelDisconnected(Channel channel)`
`void` `channelReconnected(Address addr)`
`void` `channelShunned()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChannelListenerAdapter

    public ChannelListenerAdapter()

### Method Detail

#### channelConnected

    public void channelConnected(Channel channel)

Specified by:
  `channelConnected` in interface `ChannelListener`

#### channelDisconnected

    public void channelDisconnected(Channel channel)

Specified by:
  `channelDisconnected` in interface `ChannelListener`

#### channelClosed

    public void channelClosed(Channel channel)

Specified by:
  `channelClosed` in interface `ChannelListener`

#### channelShunned

    public void channelShunned()

Specified by:
  `channelShunned` in interface `ChannelListener`

#### channelReconnected

    public void channelReconnected(Address addr)

Specified by:
  `channelReconnected` in interface `ChannelListener`